<?php
/** 
 *	iCagenda - iC calendar
 *----------------------------------------------------------------------------
 * @package     com_icagenda
 * @copyright	Copyright (C) 2012 JOOMLIC - All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Jooml!C - http://www.joomlic.com
 * 
 * @since		1.2.3
 *----------------------------------------------------------------------------
*/

// No direct access to this file
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load file helper.php
require_once dirname(__FILE__).DS.'helper.php';
// Module
$cal=new modiCcalendarHelper;
$data = $cal->getStamp($params);

$date_start=date('Y-m-d');
if($_GET['date']) $date_start=$_GET['date'];
$nav=$cal->getNav($date_start);

$params->get('numero');
$template=$params->get('template');
$mouseover=$params->get('mouseover');
$position=$params->get('position');
$posmiddle=$params->get('posmiddle');

if(!file_exists("components/com_icagenda/template/".$template."/".$template."_calendar.php")){
$template='default';
}

$t_calendar = "components/com_icagenda/template/".$template."/".$template."_calendar.php";
$t_day = "components/com_icagenda/template/".$template."/".$template."_day.php";

JHTML::_('behavior.mootools');
JHTML::_('stylesheet', $template.'_style.css', 'components/com_icagenda/template/'.$template.'/css/');
JHTML::_('stylesheet', $template.'_style.css', 'modules/mod_iccalendar/templates/'.$template.'/css/');


$document = &JFactory::getDocument();
// load jQuery, if not loaded before
if (!JFactory::getApplication()->get('jquery')) {
	JFactory::getApplication()->set('jquery', true);
	// add jQuery
$document->addScript( "https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" );
}
//$document->addScript( "components/com_icagenda/template/".$template."/js/".$template."_function.js" );
if ($position == 'center') {
	$document->addScript( "modules/mod_iccalendar/js/".$posmiddle.$position."_function.js" );
}
if ($position != 'center') {
	$document->addScript( "modules/mod_iccalendar/js/".$position."_function.js" );
}
 
$document->addScript( "modules/mod_iccalendar/js/function.js" );
$document->addScriptDeclaration('jQuery.noConflict()');
if ($mouseover == 'mouseover') {
	JText::script('mouseover');
}
if ($posmiddle == 'top') {
	JText::script('$top');
}
$stamp = new cal($data, $t_day, $nav);
require_once $t_calendar;

		$lang = JFactory::getLanguage();
		$locale = $lang->getlocale() ;
		setlocale( LC_TIME, $locale[0] ) ;

	$date=strftime("%Y %B %d");

function activeColor($color){
#convert hexadecimal to RGB
if(!is_array($color) && preg_match("/^[#]([0-9a-fA-F]{6})$/",$color)){

$hex_R = substr($color,1,2);
$hex_G = substr($color,3,2);
$hex_B = substr($color,5,2);
$RGB = hexdec($hex_R).",".hexdec($hex_G).",".hexdec($hex_B);

return $RGB;
}

}




class cal
{

	public $data;
	public $t_day;
	public $nav;

	function __construct ($data, $t_day, $nav)
	{
		$this->data=$data;
		$this->t_day=$t_day;
		$this->nav=$nav;
	}
		
	function days ()
	{
		echo '<div id="mod_iccalendar">'.$this->nav.'
			<table id="icagenda_calendar" width="100%">
				<thead>
					<th width="15%">'.JText::_('MON').'</th>
					<th width="14%">'.JText::_('TUE').'</th>
					<th width="14%">'.JText::_('WED').'</th>
					<th width="14%">'.JText::_('THU').'</th>
					<th width="14%">'.JText::_('FRI').'</th>
					<th width="14%">'.JText::_('SAT').'</th>
					<th width="15%">'.JText::_('SUN').'</th>
				</thead>
		';
		
		switch ($this->data[1][week]){
			case 1:
				break;
			default:
				echo '<tr><td colspan="'.($this->data[1][week]-1).'"></td>';
				break;		
		}
		
		foreach ($this->data as $d){
			$stamp= new day($d);
			
			switch($stamp->week){
				case 1:
					echo '<tr><td>';
					break;
				default:
					echo '<td>';
					break;
			}
			
			require $this->t_day;
			
			switch($week){
				case 7:
					echo '</td></tr>';
					break;
				default:
					echo '</td>';
					break;
			}
		}
		
		switch ($stamp->week){
			case 7:
				break;
			default:
				echo '<td colspan="'.(7-$stamp->week).'"></td></tr>';
				break;		
		}
		
		echo '</table></div>';
	}

}

class day
{
	public $date;
	public $week;
	public $day;
	public $month;
	public $year;
	public $events;
	
	function __construct ($day)
	{
		foreach ($day as $k=>$v){
			$this->$k=$v;
		}
	}
}
//require JModuleHelper::getLayoutPath('mod_iccalendar');
